#!/usr/bin/env python

import sys

import widgets
import town
import startup
import pygame.font
from gui import GUIState

class TitleScreen(GUIState):
    def __init__(self, driver):
        GUIState.__init__(self, driver)

        import constants
        font = constants.FONT


        self.menu = widgets.MenuBox( (500, 100), 'arrow.png')

        self.menu.add(widgets.Label(font, "New Game"))
        self.menu.add(widgets.Label(font, "Load Game"))
        self.menu.add(widgets.Label(font, "Quit"))

        self.add(widgets.Background("title.png"))
        self.add(self.menu)

    def callback(self, object):
        if object == self.menu:
            chosen = object.getChosenIndex()

            if chosen == 2:
                sys.exit()
            elif chosen == 1:
                next = startup.LoadGameState(self.driver())
                self._driver.start(next)
            elif chosen == 0:
                next = startup.StartupState(self.driver())
##                next = town.TownScreen(self.driver(), 'Foo','Bar')
                self._driver.start(next)
